Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(289)

Issue 2021763002: Add a queue for custom element reactions. (Closed)

Created:
4 years, 3 months ago by dominicc (has gone to gerrit)
Modified:
4 years, 3 months ago
Reviewers:
kojii, yosin_UTC9
CC:
blink-reviews, blink-reviews-dom_chromium.org, chromium-reviews, dglazkov+blink, dominicc+watchlist_chromium.org, eae+blinkwatch, rwlbuis, sof, webcomponents-bugzilla_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+263 lines, -2 lines) Patch
M third_party/WebKit/Source/core/core.gypi View 2 chunks +6 lines, -2 lines 0 comments Download
A third_party/WebKit/Source/core/dom/custom/CustomElementReaction.h View 1 chunk +28 lines, -0 lines 1 comment Download
A third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueue.h View 1 chunk +36 lines, -0 lines 1 comment Download
A third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueue.cpp View 1 chunk +47 lines, -0 lines 2 comments Download
A third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueueTest.cpp View 1 chunk +146 lines, -0 lines 1 comment Download

Dependent Patchsets:

Messages

Total messages: 19 (9 generated)
dominicc (has gone to gerrit)
PTAL I think I will split up my upgrade patch into the core/dom parts and ...
4 years, 3 months ago (2016-05-30 07:57:24 UTC) #2
kojii
lgtm
4 years, 3 months ago (2016-05-30 11:30:23 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2021763002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2021763002/1
4 years, 3 months ago (2016-05-30 21:42:32 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/78787)
4 years, 3 months ago (2016-05-30 23:33:00 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2021763002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2021763002/1
4 years, 3 months ago (2016-05-31 01:47:16 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/78842)
4 years, 3 months ago (2016-05-31 03:34:57 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2021763002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2021763002/1
4 years, 3 months ago (2016-05-31 04:18:18 UTC) #13
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/df3420344c2d85b0510edf895fa8e8cf7531adce Cr-Commit-Position: refs/heads/master@{#396790}
4 years, 3 months ago (2016-05-31 05:55:51 UTC) #15
dominicc (has gone to gerrit)
Committed patchset #1 (id:1) manually as df3420344c2d85b0510edf895fa8e8cf7531adce (presubmit successful).
4 years, 3 months ago (2016-05-31 05:56:52 UTC) #17
yosin_UTC9
4 years, 3 months ago (2016-06-01 02:14:01 UTC) #19
Message was sent while issue was closed.
https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
File third_party/WebKit/Source/core/dom/custom/CustomElementReaction.h (right):

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
third_party/WebKit/Source/core/dom/custom/CustomElementReaction.h:20:
CustomElementReaction() { }
nit: %s/{ }/ = default/

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
File third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueue.cpp
(right):

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueue.cpp:11:
CustomElementReactionQueue::CustomElementReactionQueue()
Better to use |m_index = 0u| in class declaration and use |= default|

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueue.cpp:16:
CustomElementReactionQueue::~CustomElementReactionQueue()
nit: = default

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
File third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueue.h
(right):

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueue.h:19:
WTF_MAKE_NONCOPYABLE(CustomElementReactionQueue);
Better to use DISALLOW_COPY_AND_ASSIGN()?

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
File
third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueueTest.cpp
(right):

https://codereview.chromium.org/2021763002/diff/1/third_party/WebKit/Source/c...
third_party/WebKit/Source/core/dom/custom/CustomElementReactionQueueTest.cpp:142:
EXPECT_EQ(log, std::vector<char>({'a', 'b', 'c'}))
Wow, gtest's *_EQ(expect, actual) is now historical convention!

Excerpt from:
https://github.com/google/googletest/blob/master/googletest/docs/Primer.md

Historical note: Before February 2016 *_EQ had a convention of calling it as
ASSERT_EQ(expected, actual), so lots of existing code uses this order. Now *_EQ
treats both parameters in the same way.

Powered by Google App Engine
This is Rietveld 408576698